## coreutils 8.25

=== debian/changelog ===
coreutils (8.25-2ubuntu2) xenial; urgency=medium

  * debian/tests/upstream:
    - Whoops, drop four tests that have been removed upstream

 -- Michael Terry <mterry@ubuntu.com>  Thu, 18 Feb 2016 08:27:50 -0500

coreutils (8.25-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
  * Drop 99_mountinfo.patch, it's been applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Wed, 17 Feb 2016 14:52:46 -0500

coreutils (8.25-2) unstable; urgency=medium

  * Disable default ls quoting for now to get the rest of 8.25 into testing.
    (Closes: #813164)

 -- Michael Stone <mstone@debian.org>  Tue, 16 Feb 2016 09:02:12 -0500

coreutils (8.25-1) unstable; urgency=low

  * New upstream version
    - adds globbing to dircolors, hopefully color definitions less fragile in
      future (Closes: #791921)
    - date --iso-8601 now uses +00:00 timezone format rather than +0000.
      (Closes: #799479)
    - new df name selection logic hopefully less surprising for bind mounts
      (Closes: #799131)
  * update debhelper dependency

 -- Michael Stone <mstone@debian.org>  Fri, 29 Jan 2016 10:51:32 -0500

coreutils (8.24-1) unstable; urgency=low

  * New upstream version (Closes: #804062)
  * No longer include /usr/sbin/touch symlink, create in postinst if necessary
    (Closes: #767710)
  * [64] backport upstream patch for overlayfs (Closes: #810669)
  * Switch to source format 3.0 (quilt)
  * Drop auto tests, not working and needs to be revisited

 -- Michael Stone <mstone@debian.org>  Mon, 18 Jan 2016 15:34:49 -0500

coreutils (8.23-4ubuntu2) wily; urgency=medium

  * debian/patches/33_chroot_always.dpatch:
    - Update Debian's patch to also comment out the tests that are made
      obsolete by the same patch.  We no longer have non-root support
      for "chroot /". Fixes FTBFS.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 14 Oct 2015 15:44:28 -0400

coreutils (8.23-4ubuntu1) wily; urgency=low

  [ Michael Terry ]
  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Let it cross build:
      + Preseed some autoconf tests.
      + Don't rebuild the man pages.
    - debian/control:
      + Depend on acl and strace for autopkgtests.
    - debian/tests/upstream:
      + Adjust for changed test layout in 8.20.
      + Update list of autopkgtest-runnable unit tests (LP: #1246805).
    - debian/patches/80_fedora_sysinfo.dpatch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection:
      + Fix detection of floating point endianness.

  [ Dave Chiluk ]
  * Add support for correctly processing /proc/self/mountinfo.
  * Fix df to prioritize mounts of the root of a device over bind mounts.
    (LP: #1432871)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 14 Oct 2015 13:04:46 -0400

coreutils (8.23-4) unstable; urgency=low

  * [33] remove chroot optimization that avoids the actual chroot when 
    running "chroot /". The intent was to allow "chroot / true" to 
    work in all cases on all platforms even for non-root users, but
    has caused problems with bind mounts. Upstream has added a new 
    option to chroot, but I'll wait for the new upstream version for
    that. (Closes: #765514)
  * remove spurious file addition in patch [31] that did not affect
    built package

 -- Michael Stone <mstone@debian.org>  Sat, 14 Mar 2015 07:59:06 -0400

coreutils (8.23-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules: Let it cross build:
      + Preseed some autoconf tests.
      + Don't rebuild the man pages.
    - debian/control:
      + Depend on acl and strace for autopkgtests.
    - debian/tests/upstream: 
      + Adjust for changed test layout in 8.20.
      + Update list of autopkgtest-runnable unit tests (LP: #1246805).
    - debian/patches/80_fedora_sysinfo.dpatch
      + Make 'uname -i -p' return the real processor/hardware, 
        instead of unknown.
    - debian/patches/99_float_endian_detection:
      + Fix detection of floating point endianness.
  * update "Remaining changes" to reflect current status
  * drop debian/patches/99_test_nohup_tty.dpatch as its upstream
  * remove leftover ".failed" patch files from some earlier merge

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 03 Nov 2014 08:08:11 +0100

coreutils (8.23-3) unstable; urgency=low

  * Standards version 3.9.6.0
  * build with verbose make (Closes: #751132)
  * add numfmt to package description (Closes: #764698)
  * [31] show duplicate remote mounts in df (Closes: #737399)
  * [32] cherry pick upstream fix to make info doc references 
    more reliable (Closes: #760861)

 -- Michael Stone <mstone@debian.org>  Wed, 29 Oct 2014 20:58:59 -0400

coreutils (8.23-2ubuntu3) utopic; urgency=medium

  * Don't run tests during autopkg tests which depend on the test
    binaries (getlimits, ginstall).

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 13:03:00 +0200

coreutils (8.23-2ubuntu2) utopic; urgency=medium

  * Update the list of skipped autopkg tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Sep 2014 19:36:19 +0200

coreutils (8.23-2ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Make 'uname -i -p' return the real processor/hardware, instead of
      unknown.
    - debian/tests/upstream: Adjust for changed test layout in 8.20.
    - Configure with --disable-silent-rules.
    - Let it cross build:
      + Preseed some autoconf tests.
      + Don't rebuild the man pages.
    - Re-enable tests, except when cross-building.
    - Fix detection of floating point endianness.

