=== debian/control ===
Source: coreutils
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Stone <mstone@debian.org>
Section: utils
Priority: required
Standards-Version: 3.9.6.0
Build-Depends: gettext (>= 0.10.37), debhelper (>= 9.20120115), autotools-dev, texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison

Package: coreutils
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${shlibs:Depends}, ${misc:Pre-Depends}
Essential: yes
Replaces: mktemp, timeout, realpath
Conflicts: timeout
Depends: ${misc:Depends}
Description: GNU core utilities
 This package contains the basic file, shell and text manipulation
 utilities which are expected to exist on every operating system.
 .
 Specifically, this package includes: 
 arch base64 basename cat chcon chgrp chmod chown chroot cksum comm cp
 csplit cut date dd df dir dircolors dirname du echo env expand expr
 factor false flock fmt fold groups head hostid id install join link ln
 logname ls md5sum mkdir mkfifo mknod mktemp mv nice nl nohup nproc numfmt
 od paste pathchk pinky pr printenv printf ptx pwd readlink realpath rm 
 rmdir runcon sha*sum seq shred sleep sort split stat stty sum sync tac 
 tail tee test timeout touch tr true truncate tsort tty uname unexpand 
 uniq unlink users vdir wc who whoami yes
Homepage: http://gnu.org/software/coreutils

Package: mktemp
Pre-Depends: coreutils (>= 7.4-1)
Depends: ${misc:Depends}
Priority: extra
Section: oldlibs
Architecture: all
Description: coreutils mktemp transitional package
 Empty package to facilitate upgrades, can be safely removed.

Package: realpath
Depends: coreutils (>= 8.23-1~), ${misc:Depends}
Priority: extra
Section: oldlibs
Architecture: all
Description: coreutils realpath transitional package
 Empty package to facilitate upgrades, can be safely removed.
