=== debian/watch ===
version=3
opts=uversionmangle=s/\.(gz|bz2|lzma|xz)$// \
ftp://ftp.gnu.org/gnu/coreutils/coreutils-([\d+\.]+)\.tar\.(gz|bz2|lzma|xz) debian uupdate
