## coreutils 8.26

=== debian/changelog ===
coreutils (8.26-3ubuntu4) artful; urgency=medium

  * debian/patches/test-misc-date-tzdb-2017a.patch: fixes date test
    caused by tzdb-2017a update. LP: #1679865.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Wed, 04 Oct 2017 19:56:41 +0000

coreutils (8.26-3ubuntu3) zesty; urgency=medium

  * Ignore the cut-huge-range test failure on armhf, only seen on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Mar 2017 09:33:36 +0100

coreutils (8.26-3ubuntu1) zesty; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Feb 2017 10:10:28 +0100

coreutils (8.26-3) unstable; urgency=medium

  * Update standards version to 3.9.8.0 (no changes)
  * Add -fno-schedule-insns to CFLAGS for sha256.o on PPC to fix
    performance regression (Closes: #854053)

 -- Michael Stone <mstone@debian.org>  Wed, 22 Feb 2017 07:23:45 -0500

coreutils (8.26-2) unstable; urgency=low

  * Fix regression in which specifying a TZ in date -d causes the 
    displayed date to no longer be printed in the local time zone
    Upstream patch from Pádraig Brady (Closes: #851934)

 -- Michael Stone <mstone@debian.org>  Fri, 20 Jan 2017 09:46:22 -0500

coreutils (8.26-1) unstable; urgency=low

  * New upstream version 

 -- Michael Stone <mstone@debian.org>  Fri, 09 Dec 2016 09:08:27 -0500
