## coreutils 8.28

=== debian/changelog ===
coreutils (8.28-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - Ignore the cut-huge-range test failure on armhf, only seen on the
      buildds.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Jan 2018 10:43:49 +0100

coreutils (8.28-1) unstable; urgency=low

  * New upstream version
    - ls adds hyperlink format (terminals with appropriate support get
      clickable links)
    - env adds --chdir (-C) option
    - another round of tail -f fixes/optimizations
    - date introduces stable long option --rfc-email for -R
    - nproc honors OMP_THREAD_LIMIT
  * Reenable default ls quoting
  * Get rid of old transition packages & logic for mktemp, timeout, 
    and realpath
  * drop hppa longlong patch
  * drop PPC sha256.o patch
    Discussion in 854053 indicated that it shouldn't be an issue with gcc 7. 
    If people do still see a performance issue with sha256 on PPC we should 
    be early enough in the buster cycle to fix it in gcc.
  * Standards version 4.1.1.0
    - update watch file & add upstream signing key

 -- Michael Stone <mstone@debian.org>  Mon, 02 Oct 2017 13:51:20 -0400
