## coreutils 8.30

=== debian/changelog ===
coreutils (8.30-3ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:38:40 +0000

coreutils (8.30-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - Ignore the cut-huge-range test failure on armhf, only seen on the
      buildds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 11:35:09 -0700

coreutils (8.30-3) unstable; urgency=medium

  * Fix renameat2 patch (Closes: #923420)

 -- Michael Stone <mstone@debian.org>  Thu, 28 Feb 2019 10:30:31 -0500

coreutils (8.30-2) unstable; urgency=medium

  * Use renameat2 glibc function that can be intercepted by fakechroot
    (Closes: #915559)
  * Above requires autoreconf turned on again

 -- Michael Stone <mstone@debian.org>  Tue, 26 Feb 2019 07:15:19 -0500

coreutils (8.30-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - Ignore the cut-huge-range test failure on armhf, only seen on the
      buildds.
  * Dropped changes, included upstream:
    - debian/patches/adjust_to_glibc_2.28_libio.patch: adjust to glibc
      2.28's libio.h removal: check for _IO_EOF_SEEN instead of
      _IO_ftrylockfile, and define _IO_IN_BACKUP for ourselves.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 14 Jan 2019 14:17:34 +0200

coreutils (8.30-1) unstable; urgency=low

  * New upstream version
    - man pages are distributed again, should fix cross building issues
      (Closes: #721358)
    - fixes problem with install program location when cross building
      (Closes: #879073)
    - env -S support to pass multiple arguments in #! lines
  * Standards version 4.2.1.0 (no changes)

 -- Michael Stone <mstone@debian.org>  Wed, 29 Aug 2018 16:20:06 -0400

coreutils (8.28-1ubuntu2) cosmic; urgency=medium

  * debian/patches/adjust_to_glibc_2.28_libio.patch: adjust to glibc 2.28's
    libio.h removal: check for _IO_EOF_SEEN instead of _IO_ftrylockfile, and
    define _IO_IN_BACKUP for ourselves.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 04 Oct 2018 19:50:13 -0400
