=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	dh_auto_configure -- --enable-install-program=arch $(CROSS_CONFIGURE_FLAGS)
 
 %:
-	dh  $@ 
+	dh $@ --with autoreconf
 
 override_dh_auto_clean:
 	make distclean || true
