## coreutils 8.30.1

=== debian/changelog ===
coreutils (8.30.1-deepin1) unstable; urgency=medium

  * update zh_CN.po.

 -- LiChengGang <lichenggang@uniontech.com>  Tue, 27 Sep 2022 13:26:26 +0800
