=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coreutils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Stone <mstone@debian.org>
+Maintainer: Michael Stone <mstone@debian.org>
 Section: utils
 Priority: required
 Standards-Version: 4.1.1.0
-Build-Depends: gettext (>= 0.10.37), debhelper (>= 9.20120115), autotools-dev, texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison
+Build-Depends: gettext (>= 0.10.37), debhelper (>= 10), autotools-dev, texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison
 
 Package: coreutils
 Architecture: any
