=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Michael Stone <mstone@debian.org>
 Section: utils
 Priority: required
-Standards-Version: 4.1.1.0
-Build-Depends: gettext (>= 0.10.37), debhelper (>= 10), autotools-dev, texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison
+Standards-Version: 4.5.0
+Build-Depends: gettext (>= 0.10.37), debhelper (>= 12), texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison, libgmp3-dev
 
 Package: coreutils
 Architecture: any
