## coreutils 9.1

=== debian/changelog ===
coreutils (9.1-1ubuntu2) lunar; urgency=medium

  * Fix autopkgtest failure after a testcase was renamed from
    proc-selinux-segfault.sh to selinux-segfault.sh
    (LP #2002428)

 -- Adrien Nader <adrien.nader@canonical.com>  Tue, 10 Jan 2023 14:19:26 +0100

coreutils (9.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)

 -- Matthias Klose <doko@ubuntu.com>  Thu, 08 Dec 2022 14:47:43 +0100

coreutils (9.1-1) unstable; urgency=low

  * New upstream version (Closes: #1017354)
    - Corrects printf single quote behavior (Closes: #1017110)
    - Works around broken fuse.portal (Closes: #991378)
    - split --number=K/N fixed (Closes: #982300)
    - Supersedes restore-ls-behavior patch
  * Use DPKG_ROOT in postinst/postrm (Closes: #983565)
  * Update debhelper compat to 13
  * Update copyright file (Closes: #1012665)
  * remove old kfbsd patches 85 (timer_settime) and 99 (fstat)

 -- Michael Stone <mstone@debian.org>  Tue, 20 Sep 2022 11:27:27 -0400

coreutils (8.32-4.1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 17:03:08 +0100

coreutils (8.32-4ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:10:22 +0200

coreutils (8.32-4ubuntu2) hirsute; urgency=medium

  * d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
    - Extend default filesystem exlusion to fuse.portal (LP: #1905623)

 -- Julian Andres Klode <juliank@ubuntu.com>  Sat, 05 Dec 2020 21:55:44 +0100

coreutils (8.32-4ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - Fix FTBFS on ARM64.
      + d/p/improve-removed-directory-test.patch: Upstream patch to
        improve ls' removed-directory test.

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Mon, 09 Nov 2020 23:10:35 +0000

coreutils (8.32-3ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable (LP: #1888046). Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
  * Refresh d/patches/.
  * Fix FTBFS on ARM64.
    - d/p/restore-ls-behavior-8.31.patch: Upstream patch to restore
      coreutils ls' 8.31 behavior on removed directories, which is
      necessary to prevent using SYS_getdents that doesn't exist on
      ARM64.
    - d/p/improve-removed-directory-test.patch: Upstream patch to
      improve ls' removed-directory test.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 24 Jul 2020 15:01:15 -0400

coreutils (8.30-3ubuntu3) groovy; urgency=medium

  * d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
    - Avoid displaying snaps in output from df and other tools, by
      excluding display of squashfs filesystems.
      (LP: #1219529, #1756595)
    - Exclude devtmpfs filesystems in output from df and other tools
      since it is a dummy filesystem.
      (LP: #1219529)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 02 Jul 2020 02:30:48 +0000
