=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: coreutils
-Maintainer: Michael Stone <mstone@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Stone <mstone@debian.org>
 Section: utils
 Priority: required
 Standards-Version: 4.5.0
-Build-Depends: gettext (>= 0.10.37), debhelper (>= 12), texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison, libgmp3-dev
+Build-Depends: gettext (>= 0.10.37), debhelper-compat (= 13), texinfo (>= 4.2), groff, libattr1-dev [linux-any], libacl1-dev [linux-any], libselinux1-dev (>= 1.32) [linux-any], gperf, bison, libgmp3-dev
 
 Package: coreutils
 Architecture: any
