## coreutils 9.4

=== debian/changelog ===
coreutils (9.4-3ubuntu6.1) noble; urgency=medium

  * d/p/suppress-permission-denied-errors-on-nfs.patch:
    - Avoid returning permission denied errors when running ls -l when reading
      file attributes. (LP: #2115274)

 -- Ghadi Elie Rahme <ghadi.rahme@canonical.com>  Sun, 22 Jun 2025 16:21:39 +0000

coreutils (9.4-3ubuntu6) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Apr 2024 16:36:57 +0200

coreutils (9.4-3ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:08:43 +0000

coreutils (9.4-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 04:54:09 +0000

coreutils (9.4-3ubuntu2) noble; urgency=medium

  * d/p/cp-n.diff: skip tests/cp/cp-i.sh upstream test (LP: #2055180)
    The behavior of cp -n is different in Debian than in upstream, and
    this test assumes upstream behavior of -n, and how it interacts with
    -i.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 27 Feb 2024 12:22:53 -0500

coreutils (9.4-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
    - d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
      Fix tailing of sysfs files on systems using a 64K page size.
      (LP 2047450)
    - SECURITY UPDATE: heap overflow in split --line-bytes with very long
      lines
      + debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
        src/split.c.
      + CVE-2024-0684
    - DEP17: Move files to /usr. (Closes: #1061274)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 26 Feb 2024 12:50:04 -0500

coreutils (9.4-3) unstable; urgency=low

  * remove arch restriction from libssl-dev build-depend
  * revert cp -n behavior to debian 12 & prior (Closes: #1058752)
  * add deprecation/compatibility warning for above

 -- Michael Stone <mstone@debian.org>  Tue, 02 Jan 2024 08:54:03 -0500

coreutils (9.4-2ubuntu4) noble; urgency=medium

  [ Helmut Grohne ]
  * DEP17: Move files to /usr. (Closes: #1061274)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 12:07:56 +0100

coreutils (9.4-2ubuntu3) noble; urgency=medium

  * SECURITY UPDATE: heap overflow in split --line-bytes with very long
    lines
    - debian/patches/CVE-2024-0684.patch: do not shrink hold buffer in
      src/split.c.
    - CVE-2024-0684

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 30 Jan 2024 12:57:32 -0500

coreutils (9.4-2ubuntu2) noble; urgency=medium

  * d/p/tail-fix-tailing-sysfs-files-where-PAGE_SIZE-BUFSIZ.patch:
    Fix tailing of sysfs files on systems using a 64K page size.
    (LP: #2047450)

 -- dann frazier <dann.frazier@canonical.com>  Tue, 26 Dec 2023 11:25:09 -0700

coreutils (9.4-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/rules:
      + Allow crossbuilding
      + Run tests
      + Ignore the cut-huge-range test failure on armhf, only seen on
        the buildds.
    - debian/tests:
      + Add dep8 tests
    - debian/patches/80_fedora_sysinfo.patch
      + Make 'uname -i -p' return the real processor/hardware,
        instead of unknown.
    - debian/patches/99_float_endian_detection.patch:
      + Fix detection of floating point endianness.
    - d/p/treat-devtmpfs-and-squashfs-as-dummy-filesystems.patch:
      + Avoid displaying snaps in output from df and other tools, by
        excluding display of squashfs filesystems.
        (LP #1219529, #1756595)
      + Exclude devtmpfs filesystems in output from df and other tools
        since it is a dummy filesystem.
        (LP #1219529)
  * Dropped, unnecessary delta:
    - debian/patches/72_id_checkngroups.patch: patch fuzz
  * New changes:
    - debian/rules: update test path to fix armhf FTBFS
    - debian/tests/upstream: fix paths of test scripts

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 30 Nov 2023 12:02:32 -0500

coreutils (9.4-2) unstable; urgency=low

  * link against libssl if gpl compatible version available; add to
    build-depends for linux-amd64 only at this time (will add others later as
    makes sense)

 -- Michael Stone <mstone@debian.org>  Fri, 10 Nov 2023 08:33:49 -0500

coreutils (9.4-1) unstable; urgency=low

  * New upstream version (Closes: #1017354)
    - corrects cksum crashes due to missing cpu features (Closes: #1037264)
    - corrects copy dir-relative operations (Closes: #1035531)
    - corrects copy backup operations (Closes: #1035530)
  * Drop old 61_whoips.patch and who --ips option; it no longer applies
    cleanly after who.c refactoring, and it isn't clear the patch is still
    useful given how system logging has changed since the patch was written
  * Drop 63_dd-appenderrors.patch as documentation has been updated for ages
  * Update copyright file

 -- Michael Stone <mstone@debian.org>  Thu, 09 Nov 2023 14:18:41 -0500
