=== debian/rules ===
--- 
+++ 
@@ -13,13 +13,23 @@
   DEB_CFLAGS_MAINT_APPEND += -mieee
 endif
 
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+  cross_build := yes
+  CROSS_CONFIGURE_FLAGS = --cache-file=./config.cache
+  CROSS_BUILD_FLAGS = run_help2man=$(CURDIR)/man/dummy-man
+  CROSS_INSTALL_FLAGS = EXTRA_MANS=
+endif
+
 BIN_PROGS = cat chgrp chmod chown cp date dd df dir echo false ln ls mkdir \
 	mknod mv pwd readlink rm rmdir vdir sleep stty sync touch true uname \
 	mktemp
 d=debian/coreutils
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-install-program=arch 
+ifeq ($(cross_build),yes)
+	echo 'fu_cv_sys_stat_statfs2_bsize=yes' > config.cache
+endif
+	dh_auto_configure -- --enable-install-program=arch --with-openssl=auto-gpl-compat $(CROSS_CONFIGURE_FLAGS)
 
 %:
 	dh $@ --with autoreconf
@@ -27,20 +37,43 @@
 override_dh_auto_clean:
 	make distclean || true
 
+override_dh_auto_build:
+	dh_auto_build -- $(CROSS_BUILD_FLAGS)
+
 override_dh_auto_test:
-	# tests fail a lot on the buildds
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq ($(cross_build),yes)
+  ifeq ($(DEB_HOST_ARCH),armhf)
+	: # on armhf, the cut-huge-range test fails on the buildds when run
+	: # in the test suite. Run it explicitely, and then ignore the
+	: # test results when run in the test suite.
+	: # XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
+	-$(MAKE) SHELL=/bin/dash TESTS=tests/cut/cut-huge-range.sh check
+	cat tests/cut/cut-huge-range.log
+	rm -f tests/cut/cut-huge-range.log tests/cut/cut-huge-range.trs
+	: # XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
+	if dh_auto_test; then \
+	  echo "tests succeeded unexpectedly" ; \
+	else \
+	  echo XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX; \
+	  echo "TEST FAILURES (log)"; \
+	  cat tests/cut/cut-huge-range.log; \
+	  echo "TEST FAILURES (trs)"; \
+	  cat tests/cut/cut-huge-range.trs; \
+	  echo "ignoring the cut-huge-range test failure" ; \
+	fi
+  else
+	dh_auto_test
+  endif
+endif
+endif
 
 override_dh_auto_install:
-	dh_auto_install --destdir=$(d)
+	dh_auto_install --destdir=$(d) -- $(CROSS_INSTALL_FLAGS)
 
 override_dh_install-arch: 
 	dh_install -a
 
-	# some things go in root rather than usr
-	for f in $(BIN_PROGS); do \
-		mv $(d)/usr/bin/$$f $(d)/bin/$$f; \
-	done
-	
 	# backward compatability
 	ln -s /usr/bin/md5sum $(d)/usr/bin/md5sum.textutils
 	ln -s /usr/share/man/man1/md5sum.1 $(d)/usr/share/man/man1/md5sum.textutils.1
@@ -49,8 +82,6 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 	# kill from procps is linux-specific
 	rm -f $(d)/usr/bin/kill $(d)/usr/share/man/man1/kill.1
-else
-	mv $(d)/usr/bin/kill $(d)/bin
 endif
 	rm -f $(d)/usr/bin/hostname $(d)/usr/share/man/man1/hostname.1
 	rm -f $(d)/usr/bin/uptime $(d)/usr/share/man/man1/uptime.1
