=== debian/tests/control ===
Tests: upstream
Depends: coreutils, acl, strace
