## coreutils 9.4-2

=== debian/changelog ===
coreutils (9.4-2-1deepin2) unstable; urgency=medium

  * Bump version to 9.4-2-1deepin2 to mitigate previous packaging issue.
    https://github.com/deepin-community/coreutils/pull/3

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 21 Aug 2025 10:47:12 +0800

coreutils (9.4-3.1deepin2) unstable; urgency=medium

  * feat: add sw64 support

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 27 May 2025 14:10:04 +0800

coreutils (9.4-3.1deepin1) unstable; urgency=medium

  * chore: add missing patch

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 27 May 2025 14:08:19 +0800

coreutils (9.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * DEP17: Move files to /usr. (Closes: #1061274, #1057250)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 09 Mar 2024 18:42:01 +0100
